<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view>
<html>
	<head><title>ConvertNumberFormat</title></head>

	<body>
		<h:form>
			<table>
				<tr>
					<td><h:outputText value="Enter any number :" /></td>
					<td><h:inputText id="number" >
							<f:convertNumber minFractionDigits="3" maxFractionDigits="5"></f:convertNumber>
						</h:inputText>
						<h:message for="number" style="color:red"/></td>
				</tr>	
				<tr>
					<td><h:outputText value="Enter currency ($) :" /></td>
					<td><h:inputText id="currency" >
							 <f:convertNumber currencySymbol="$" type="currency" ></f:convertNumber>
						</h:inputText>
						<h:message for="currency" style="color:red"/></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><h:commandButton value="Login" /></td>
				</tr>
			</table>
		</h:form>
	</body>
</html>
</f:view>